#!/bin/bash

sshd_setoption() {
	# Usage: sshd_setoption Port 2222

	local SOPTS=/etc/ssh/sshd_config

	sed "/^.*${1}.*\$/d" -i "$SOPTS"
	
	echo "$1 $2" >> "$SOPTS"
}

sshd_authorizerootkey() {
	# Usage: sshd_authorizekey comment longkey
	
	if [[ ! -d /root/.ssh ]] ; then
		mkdir /root/.ssh
		chmod 700 /root/.ssh
	fi
	
	if [[ ! -f /root/.ssh/authorized_keys ]] ; then
		touch /root/.ssh/authorized_keys
		chmod 600 /root/.ssh/authorized_keys
	fi
	
	if ! grep -q "$1" /root/.ssh/authorized_keys ; then
		echo "$2 $1" >> /root/.ssh/authorized_keys
	fi
}

sshd_autoconf() {
	sshd_setoption PermitRootLogin without-password
	sshd_setoption UseDNS no

	# sshd_authorizerootkey ...
	
	service ssh reload
}
